#include <iostream>
using namespace std;
int main ()
{
int mn,mx,N,K,g;
const int Numb = 3;
int a[Numb];
cin>> N; 
cin>> K; 
for(int i=0;i<3;i++)
{
cin>> a[i]; 
}

mn=a[0];
mx=a[0];
for(int i=1;i<3;i++)
	{
		if(mn>a[i])
		{
			mn=a[i];
		}
		else if(mx<a[i])
		{
			mx = a[i];
		}
	}
g=mx-mn;
cout<<g;
return 0;

}